package com.example.rabbitmq.config;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DirectConfig {
    // 创建交换机
    @Bean
    public DirectExchange directExchange() {
        return new DirectExchange("bunny.direct");
    }

    // 新建队列
    @Bean
    public Queue directQueue1() {
        return new Queue("direct.queue1");
    }

    // 将交换机添加新的key为red
    @Bean
    public Binding directBinding(Queue directQueue1,DirectExchange directExchange) {
        return BindingBuilder.bind(directQueue1).to(directExchange).with("red");
    }

    @Bean
    public Binding binding1(Queue directQueue1, DirectExchange directExchange) {
        return BindingBuilder.bind(directQueue1).to(directExchange).with("blue");
    }
}
