package com.example.rabbitmq.config;

import org.springframework.amqp.core.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FanoutConfiguration {
    // 创建新的交换机---bunny.fanout
    @Bean
    public FanoutExchange fanoutExchange() {
        return new FanoutExchange("bunny.fanout");
    }

    // 创建队列---fanout.queue3
    @Bean
    public Queue fanoutQueue() {
        // QueueBuilder.durable("fanout.queue3").build();   // 创建队列
        return new Queue("fanout.queue3");
    }

    // 队列绑定到交换机上
    @Bean
    public Binding fanoutBinding(Queue fanoutQueue) {
        return BindingBuilder.bind(fanoutQueue).to(fanoutExchange());
    }

    // 创建新的队列---fanout.queue4
    @Bean
    public Queue fanoutQueue4() {
        return new Queue("fanout.queue4");
    }

    // 创建新的队列---direct.queue2
    @Bean
    public Queue directQueue2() {
        return new Queue("direct.queue2");
    }

    // 将队列 fanout.queue4 绑定到 交换机上
    @Bean
    public Binding fanoutBinding4() {
        return BindingBuilder.bind(fanoutQueue4()).to(fanoutExchange());
    }
}
